/*
 * ADT7410.h
 *
 *  Created on: 10 Sep 2011
 *      Author: Martin
 */

#ifndef ADT7410_H_
#define ADT7410_H_

// register addresses
#define ADT7410_REGADDR_TVAL16		0x00			// current temperature value
#define ADT7410_REGADDR_STATUS8		0x02			// status
#define ADT7410_REGADDR_CONFIG8		0x03			// configuration
#define ADT7410_REGADDR_THIGH16		0x04			// high temperature threshold
#define ADT7410_REGADDR_TLOW16		0x06			// low temperature threshold
#define ADT7410_REGADDR_TCRIT16		0x08			// critical temperature threshold
#define ADT7410_REGADDR_THYST16		0x0a			// temperature hysteresis
#define ADT7410_REGADDR_ID8			0x0b			// I2C address and silicon revision
#define ADT7410_REGADDR_RESET8		0x2f			// software reset

#define ADT7410_STATUS_TLOW			0b00010000		// bit set if temperature is below Tlow
#define ADT7410_STATUS_THIGH		0b00100000		// bit set if temperature is above Thigh
#define ADT7410_STATUS_TCRIT		0b01000000		// bit set if temperature is above Tcrit
#define ADT7410_STATUS_OLD_VALUE	0b10000000		// bit set if current temperature value has already been read

#endif /* ADT7410_H_ */
