
/*
 * I2Cdriver.h
 *
 *  Created on: 29 Aug 2011
 *      Author: Martin
 */

#ifndef I2CDRIVER_H_
#define I2CDRIVER_H_


//---------------------
// PORT SPECIFICATIONS
//---------------------
#define I2C_PORTSPEC_SCL on stdcore[2]: out port I2C_PORT_SCL = XS1_PORT_1A;	// I2C bus serial clock
#define I2C_PORTSPEC_SDA on stdcore[2]: out port I2C_PORT_SDA = XS1_PORT_1B;	// I2C bus serial data
#define I2C_PORTSPEC_CLK on stdcore[2]: clock I2C_CLK = XS1_CLKBLK_1;			// I2C timing reference clock


//-----------
// CONSTANTS
//-----------
#define I2C_READ		1
#define I2C_WRITE		0
#define I2C_ACK			0
#define I2C_NACK		1
//#define I2C_FAKE_ACK


//-------------
// BUS TIMINGS
//-------------
#define I2C_TIMING_CLK_NUMERATOR	100		// bus clock rate = reference clock rate * 1/3
#define I2C_TIMING_CLK_DENOMINATOR	84		// these two give bus clock = 398 kHz (spec max)


//-----------------------------
// public I2C driver functions
//-----------------------------
void	I2Cinit			( void );
void	I2Csync			( void );
char	I2CwriteReg8	( unsigned char busAddr, unsigned char regAddr, unsigned char data );
char	I2CwriteReg16	( unsigned char busAddr, unsigned char regAddr, unsigned data );
char	I2CreadReg8		( unsigned char busAddr, unsigned char regAddr, unsigned char &data );
char	I2CreadReg16	( unsigned char busAddr, unsigned char regAddr, unsigned &data );


#endif /* I2CDRIVER_H_ */
